## ros-kinetic-open-manipulator 2.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(open_manipulator)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-open-manipulator (2.0.1-1xenial) xenial; urgency=high

  * added dependency option for open_manipulator_control_gui package
  * Contributors: Pyo

 -- Pyo <pyo@robotis.com>  Sun, 17 Feb 2019 15:00:00 -0000

ros-kinetic-open-manipulator (2.0.0-1xenial) xenial; urgency=high

  * updated the CHANGELOG and version to release binary packages
  * added new packages (open_manipulator_control_gui, *_controller, *_libs, *_teleop)
  * deleted unused packages (open_manipulator_dynamixel_ctrl, open_manipulator_position_ctrl)
  * 
    
      * open_manipulator_control_gui -
    
  * updated function name, UI
  * added group names and gripper args
  * added position only client
  * modified topic names, end-effector name
  * 
    
      * open_manipulator_controller -
    
  * added jointspace path serv, moveit params
  * added moveit config and controller
  * added kinematic pose pub
  * added mimic param and end effector point
  * added execute permission
  * added usb rules
  * added cdc rules
  * removed warn message
  * renamed open_manipulator lib files
  * changed math function name, namespace
  * changed openManipulatorProcess() to processOpenManipulator()
  * updated start_state after execution on MoveIt
  * updated thread time, dynamixel profiling control method
  * updated drawing line
  * updated flexible node
  * updated tool control
  * updated chain to open_manipulator
  * updated new kinematics
  * used robot_name on joint_state_publisher's source_list
  * 
    
      * open_manipulator_description -
    
  * deleted model.launch
  * modified gripper origin
  * modified end_effector origin
  * modified link2 and joint2 position
  * updated inertia
  * changed calculated inertia param
  * changed gripper link name
  * changed axis for grip_joint
  * 
    
      * open_manipulator_moveit -
    
  * added moveit config and controller
  * updated moveit rviz
  * Updated start_state after execution on Moveit #83 <https://github.com/ROBOTIS-GIT/open_manipulator/issues/83>
  * changed control period 40mm to 100mm
  * Contributors: Darby Lim, Hye-Jong KIM, Yong-Ho Na, Ryan Shim, Guilherme de Campos Affonso, Pyo

 -- Pyo <pyo@robotis.com>  Thu, 07 Feb 2019 15:00:00 -0000

ros-kinetic-open-manipulator (1.0.0-1xenial) xenial; urgency=high

  * package reconfiguration for OpenManipulator
  * added new stl files
  * added urdf, rviz param, gazebo params, group
  * added function to support protocol 1.0
  * modified color, xacro server, mu1, mu2, collision range, joint limit
  * modified joint_state_publisher, joint_states_publisher
  * modified params of inertial, xacro, gazebo, collision, friction
  * modified urdf file names and collision geometry
  * modified motor id, msg names
  * modified description and package tree
  * deleted unnecessary packages
  * merged pull request #34 <https://github.com/ROBOTIS-GIT/open_manipulator/issues/34> #33 <https://github.com/ROBOTIS-GIT/open_manipulator/issues/33> #32 <https://github.com/ROBOTIS-GIT/open_manipulator/issues/32> #31 <https://github.com/ROBOTIS-GIT/open_manipulator/issues/31> #27 <https://github.com/ROBOTIS-GIT/open_manipulator/issues/27> #26 <https://github.com/ROBOTIS-GIT/open_manipulator/issues/26> #25 <https://github.com/ROBOTIS-GIT/open_manipulator/issues/25>
  * Contributors: Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Thu, 31 May 2018 15:00:00 -0000

ros-kinetic-open-manipulator (0.1.1-1xenial) xenial; urgency=high

  * modified build setting for using yaml-cpp
  * Contributors: Pyo

 -- Pyo <pyo@robotis.com>  Wed, 14 Mar 2018 15:00:00 -0000

ros-kinetic-open-manipulator (0.1.0-1xenial) xenial; urgency=high

  * added meta package for OpenManipulator
  * updated dynamixel controller
  * modified joint control
  * modified gripper topic
  * modified URDF
  * modified description
  * modified messages
  * modified moveit set and gripper control
  * modified gazebo and moveit setting
  * modified cmake, package files for release
  * refactoring for release
  * Contributors: Darby Lim, Pyo

 -- Pyo <pyo@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-open-manipulator
Section: misc
Priority: extra
Maintainer: Pyo <pyo@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://wiki.ros.org/open_manipulator
Standards-Version: 3.9.2

Package: ros-kinetic-open-manipulator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-open-manipulator-control-gui, ros-kinetic-open-manipulator-controller, ros-kinetic-open-manipulator-description, ros-kinetic-open-manipulator-libs, ros-kinetic-open-manipulator-moveit, ros-kinetic-open-manipulator-teleop
Description: ROS-enabled OpenManipulator is a full open robot platform consisting of OpenSoftware​, OpenHardware and OpenCR(Embedded board)​.
 The OpenManipulator is allowed users to control it more easily by linking with the MoveIt! package. Moreover it has full hardware compatibility with TurtleBot3​. Even if you do not have a real robot, you can control the robot in the Gazebo simulator​.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-open-manipulator//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
